<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright (C) 2018-2021 Stephan Kreutzer

This file is part of wordpress_retriever_2 workflow, a submodule of the
digital_publishing_workflow_tools package.

wordpress_retriever_2 workflow is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3 or any later version,
as published by the Free Software Foundation.

wordpress_retriever_2 workflow is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License 3 for more details.

You should have received a copy of the GNU Affero General Public License 3
along with wordpress_retriever_2 workflow. If not, see <http://www.gnu.org/licenses/>.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:content="http://purl.org/rss/1.0/modules/content/" exclude-result-prefixes="dc content">
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

  <xsl:template match="/rss/channel">
    <xsl:comment> This file was generated by xml_deescape.xsl of wordpress_retriever_2 workflow, a submodule of the digital_publishing_workflow_tools package, which is free software licensed under the GNU Affero General Public License 3 or any later version (see https://gitlab.com/publishing-systems/digital_publishing_workflow_tools/ and https://publishing-systems.org). </xsl:comment><xsl:text>&#xA;</xsl:text>
    <wordpress-posts>
      <title><xsl:apply-templates select="./title//text()"/></title>
      <xsl:apply-templates select="./item"/>
    </wordpress-posts>
  </xsl:template>

  <xsl:template match="/rss/channel/item">
    <wordpress-post>
      <title><xsl:value-of select="./title"/></title>
      <publication-date><xsl:value-of select="./pubDate"/></publication-date>
      <creator><xsl:value-of select="./dc:creator/text()"/></creator>
      <content>
        <xsl:apply-templates/>
      </content>
    </wordpress-post>
  </xsl:template>

  <xsl:template match="/rss/channel/item/content:encoded">
    <xsl:value-of select="./text()" disable-output-escaping="yes"/>
  </xsl:template>

  <xsl:template match="/rss/channel/title//text()">
    <xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="@*|text()"/>

</xsl:stylesheet>
